.datatable_heading {
	display: grid;
	grid-template-columns: 1fr 1fr;
	/* grid-template-columns: auto 12em; */
	grid-gap: var(--rd-spacing-md);
}

.datatable_heading .datatable_pagenavinfo {
	font-size: var(--rd-fontsize-7);
	margin-bottom: var(--rd-spacing-big);
	margin-top: var(--rd-spacing-big);
	font-weight: var(--rd-fontweights-open-sans-0);
	color: var(--cl-asphalt-blue);
	padding-left: var(--rd-spacing-x-sm);
}

.datatable_pagenav {
	text-align: right;
	display: flex;
	align-items: center;
	justify-content: flex-end;
}

.datatable [data-isnewclient="true"] {
	background: var(--cl-light-green) !important;
}

.datatable {
	position: relative;
}

.datatable tr:nth-child(even) {
	background: var(--cl-light-green);
}

.datatable tr:nth-child(odd) {
	background: var(--rd-font-light);
}

table tbody tr {
	border-bottom: var(--rd-borderwidth-border-default) solid var(--cl-pale-grey);
}
table tbody tr[data-typ="Versorgungsform"]{
	background-color: var(--rd-light-yellow);
}
table tbody tr[data-typ="Fachbereich"]{
	background-color: var(--rd-list-active);
}
table.datatable td,
table.datatable th {
	word-break: break-all;
	font-size: var(--rd-fontsize-4);
	padding: var(--rd-spacing-x-sm);
}

table.datatable th {
	vertical-align: top;
}

table.datatable tr:hover {
	background: var(--cl-light-green);
}

table.datatable .thtext {
	font-weight: var(--rd-fontweights-open-sans-1);
	color: var(--rd-font-dark);
}

.datatable .thtext {
	word-break: keep-all;
}

.thtext {
	display: inline-block;
	vertical-align: top;
	padding-right: var(--rd-spacing-big);
	position: relative;
}

.ivtbl_table_row.iv_sending_blocked * {
	color: var(--cl-light-blue);
}

.ivtbl_table_row.iv_sending_blocked {
	background: var(--cl-dark-grey) !important;
}

.ivtbl_table_row.custarch_transferred {
	border-left: 4px solid var(--cl-deep-green);
}

.ivtbl_table_row.custarch_not_transferred {
	border-left: 4px solid transparent;
}

.respons_table {
	margin-top: var(--rd-spacing-x-lg);
}

.datatable_pagenavposlabel {
	padding-right: 0.5em;
}

/* -------just here------- */
table.statstable {
	border-collapse: unset;
	width: auto;
	font-family: monospace;
	font-size: var(--rd-fontsize-3);
	text-align: center;
	margin-left: 2em;
	/* margin:auto; */
}

table.statstable td {
	/* min-width:10em; */
	padding: 0.25em 3em;
	text-align: center;
}

.datatable_itemsperpagewrap {
	display: flex;
	align-items: center;
	justify-content: right;
	justify-content: flex-end;
}

/* ------- */

/* ---------------js/ts------------------ */
.tableExcelExportLink {
	position: absolute;
	right: 0;
	top: -1.85em;
	background: var(--rd-font-light);
	display: block;
	padding: 0.2em;
}

table.excelExportable {
	position: relative;
	/* margin-top:2em; */
}

.userTransferPreviewTable {
	border-collapse: unset;
	font-size: var(--rd-fontsize-4);
	margin-top: 1em;
}

.userTransferPreviewTable td {
	padding: var(--rd-spacing-x-sm);
	width: 32em;
}

body[data-view="instructions_livewebinare"] .respons_table {
	margin-top: 3em;
}

pc-quick-data-table {
	display: block;
	max-height: 26em;
	overflow: auto;
}

pc-quick-data-table td {
	word-break: break-all;
	font-size: var(--rd-fontsize-4);
	padding: var(--rd-spacing-x-sm);
	max-width: 32em;
}

.cuartbl_table {
	overflow-x: auto;
}

.usimtbl_cell {
	display: flex;
}

.usimtbl_table_row.usimtbl_table_row_selected_false {
	background: var(--cl-dark-grey) !important;
	color: var(--cl-light-grey) !important;
}

.stats_plotandtable {
	display: grid;
	grid-template-columns: 100fr 75fr;
}

.datatable_wrap {
	position: relative;
}

.stats_table {
	padding-top: 1em;
}

.mailer_receiver_table {
	position: relative;
}

/* ---------------js/ts end------------------ */

/* darkmode */
.datatable_intro {
	/* border: 1px solid; */
	padding-left: 1.25em;
	/* padding-bottom: 1.5em; */
	border-left: 4px solid var(--cl-light-grey);
	margin-bottom: 2em;
	/* margin-left: 1em; */
}

.datatable_intro > h3 {
	color: var(--cl-ocean-blue);
	font-size: var(--rd-fontsize-7);
	margin-top: 0;
}

.datatable_intro > p {
	margin: 0;
	line-height: 1.5em;
}

/* darkmode end*/

.tr-border-top td {
	border-top: 1px solid var(--rd-font-dark);
}
.sub_info {
	font-style: italic;
	font-size: var(--rd-fontsize-2);
	color: var(--rd-input-focused);
}


.rd-sortable-table-row {
    display: grid;
    gap: var(--rd-spacing-md);
    padding: var(--rd-spacing-x-sm) 0;
    grid-auto-flow: column;
    position: relative;
}

.rd-pctable-card .rd-sortable-table-body div.rd-sortable-table-head>div {
    padding: 0 var(--rd-spacing-md);
}

.rd-pctable-card .rd-sortable-table-body>div>.rd-sortable-table-row {
    background-color: var(--rd-card-fg);
    border-radius: var(--rd-borderradius-border-md);
    padding: var(--rd-spacing-x-sm) 0;
    margin: var(--rd-spacing-x-sm) 0;
    border-collapse: separate;
    border-spacing: 0 var(--rd-sizing-xs);
    cursor: pointer;
}

.rd-pctable-card .rd-sortable-table-body>div>.rd-sortable-table-row:hover {
    background-color: var(--rd-list-hover) !important;
}

.rd-pctable-card .rd-sortable-table-body>div>.rd-sortable-table-row>div {
    padding: var(--rd-spacing-x-sm) var(--rd-spacing-md);
}

.rd-pctable-card .rd-sortable-table-body>div>.rd-sortable-table-row.rd-table-row-warning {
    background-color: #FEFCE8;
}

/* .rd-pctable-card .rd-sortable-table-body>div>.rd-sortable-table-row.rd-table-row-warning:hover {
    background-color: var(--rd-warning-default);
} */

.rd-pctable-card .rd-sortable-table-body>div>.rd-sortable-table-row.rd-table-row-error {
    background-color: #FBEFF3;
}



.rd-pctable-card [data-type="checkbox"] {
    width: 75px !important;
}

.rd-pctable-card .rd-sortable-table-body>div>.rd-sortable-table-row-inset>div[data-type="checkbox"] {
    padding-left: 40px;
    padding-right: 0;
}

.rd-sortable-table-head {
    border-bottom: none !important;
}

table.rd-table thead {
    background-color: unset;
    border-top: unset;
    border-bottom: unset;
    white-space: unset;
}

.rd-sortable-table-cell,
.rd-table th,
.rd-table td {
    color: var(--rd-font-dark);
    font-size: var(--rd-fontsize-3);
    line-height: var(--rd-lineheights-0);
}

.sortebleJsTable thead tr th {
    cursor: pointer;
}

.sortebleJsTable thead tr th.sort_asc,
.sortebleJsTable thead tr th.sort_desc {
    color: var(--rd-primary-active);
}

.sortebleJsTable thead tr th.sort_asc:after,
.sortebleJsTable thead tr th.sort_desc:after {
    background-color: var(--rd-primary-active);
}

.sortebleJsTable thead tr th.sort_desc::after {
    mask-image: url("/src/img/svg/Vector.svg");
    -webkit-mask-image: url("/src/img/svg/Vector.svg");
}

